Package org.jfree.layouting.renderer.process

## Class BoxShifter

- java.lang.Object
- - org.jfree.layouting.renderer.process.BoxShifter

-     public class BoxShifter
      extends java.lang.Object

  By keeping the shifting in a separate class, we can optimize it later without having to touch the other code. Remember: Recursive calls can be evil in complex documents..
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BoxShifter​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `extendHeight​(RenderNode node, long amount)` |
    `void` | `shiftBox​(RenderBox box, long amount)` |
    `void` | `shiftBoxUnchecked​(RenderBox box, long amount)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BoxShifter

          public BoxShifter​()

  - ### Method Detail

    - #### shiftBox

          public void shiftBox​(RenderBox box,
                               long amount)

    - #### shiftBoxUnchecked

          public void shiftBoxUnchecked​(RenderBox box,
                                        long amount)

    - #### extendHeight

          public void extendHeight​(RenderNode node,
                                   long amount)